// match filters {{column}}
func Filter{{column}}Match(i *Item, s string) bool {
        eq, err := strconv.ParseInt(s, 10, 64)
        if err != nil {
            return false
        }

	return {{lookup}} == eq
}

// less then equal {{column}} filter
func Filter{{column}}lte(i *Item, s string) bool {
	max, err := strconv.ParseInt(s, 10, 64)
	if err != nil {
		return false
	}
	return {{lookup}} <= max
}

// greater then equal {{column}} filter
func Filter{{column}}gte(i *Item, s string) bool {
	min, err := strconv.ParseInt(s, 10, 64)
	if err != nil {
		return false
	}
	return {{lookup}} >= min
}

// contain filter {{column}}
func Filter{{column}}Contains(i *Item, s string) bool {
        number := fmt.Sprintf("%d", {{lookup}})
	return strings.Contains(number, s)
}


// startswith filter {{column}}
func Filter{{column}}StartsWith(i *Item, s string) bool {
        number := fmt.Sprintf("%d", {{lookup}})
	return strings.HasPrefix(number, s)
}


// getter {{column}}
func Getters{{column}}(i *Item) string {
        return fmt.Sprintf("%d", {{lookup}})
}
